OMPAYOMPAY
API ReferenceEndpointsMerchant hosted

Delete a digital card

Deletes a tokenized card from the customer record.

DELETE
/customer/{customerId}/digitalCards/{digitalCardId}

Authorization

basicAuth signatureAuth
AuthorizationBasic <token>

In: header

X-Signature<token>

In: header

Path Parameters

customerId*string

Unique identifier for the customer.

digitalCardId*string

Unique identifier for the digital card.

Header Parameters

X-MERCHANT-BROWSER-FINGERPRINT*string

Merchant browser fingerprint header shown in the docs.

X-MERCHANT-USER-AGENT*string

User agent forwarded by the merchant.

X-MERCHANT-DOMAIN*string

Merchant domain origin.

Formaturi
X-MERCHANT-IP*string

Merchant IP address.

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.uat.gateway.ompay.com/nac/api/v1/merchant-host/customer/string/digitalCards/string" \  -H "X-MERCHANT-BROWSER-FINGERPRINT: string" \  -H "X-MERCHANT-USER-AGENT: string" \  -H "X-MERCHANT-DOMAIN: http://example.com" \  -H "X-MERCHANT-IP: string"
{
  "resCode": 0,
  "status": "string",
  "data": {
    "customerId": "string",
    "digitalCardId": "string"
  }
}
{
  "resCode": 0,
  "status": "failure",
  "errMessage": "string"
}
{
  "resCode": 0,
  "status": "failure",
  "errMessage": "string"
}
{
  "resCode": 0,
  "status": "failure",
  "errMessage": "string"
}